BEGIN ~CUCHOINJ~

IF WEIGHT #0 ~GlobalTimerExpired("CuChoin","GLOBAL")
!Dead("LordVamp")
Global("VampSearch","GLOBAL",0)~ THEN BEGIN 2
  SAY @2
  IF ~~ THEN DO ~SetGlobalTimer("Cu1st","GLOBAL",TWO_DAYS)~ EXIT
END

IF WEIGHT #1 ~GlobalTimerExpired("Cu1st","GLOBAL")
!Dead("LordVamp")
Global("VampSearch","GLOBAL",0)~ THEN BEGIN 3
  SAY @3
  IF ~~ THEN DO ~SetGlobalTimer("Cu2nd","GLOBAL",ONE_DAY)~ EXIT
END

IF WEIGHT #2 ~GlobalTimerExpired("Cu2nd","GLOBAL")
!Dead("LordVamp")
Global("VampSearch","GLOBAL",0)~ THEN BEGIN 4
  SAY @4
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()~ EXIT
END

IF WEIGHT #3 ~Global("CuChoinneachLeaves","GLOBAL",1)
!HasItem("GILYBABY",Myself)~ THEN BEGIN 5
  SAY @5
  IF ~~ THEN DO ~LeaveParty()
GiveItemCreate("CULTR02",LastTalkedToBy,0,0,0)
EscapeArea()~ EXIT
END

IF WEIGHT #4 ~Global("CuChoinneachLeaves","GLOBAL",1)
HasItem("GILYBABY",Myself)~ THEN BEGIN 6
  SAY @5
  IF ~~ THEN DO ~LeaveParty()
GiveItemCreate("CULTR02",LastTalkedToBy,0,0,0)
GiveItem("GILYBABY",LastTalkedToBy)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 9
  SAY @6
  IF ~~ THEN EXTERN ~VAMPLORD~ 1
END
